package com.tptj.demo.hg.format.action.provider;

import com.fanruan.api.log.LogKit;
import com.fr.general.web.ParameterConstants;
import com.fr.intelli.record.Focus;
import com.fr.record.analyzer.EnableMetrics;
import com.fr.report.fun.impl.AbstractFormatActionProvider;
import com.fr.web.core.reserve.ExportService;
import com.fr.web.utils.WebUtils;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * @author 秃破天际
 * @version 10.0
 * Created by 秃破天际 on 2021-04-14
 **/
@EnableMetrics
public class Demo extends AbstractFormatActionProvider {

    @Override
    @Focus(id="com.tptj.demo.hg.demo.format.action.provider.v10",text = "format action provider")
    public void doAction(HttpServletRequest req, HttpServletResponse res) throws Exception {
        //下面是产品本身的导出逻辑，开发者可以按照自己的需要对其进行干预即可
        LogKit.info("FormatAction[excel] Is Running!");
        String sessionID = WebUtils.getHTTPRequestParameter(req, "sessionID");
        String embedParameter = WebUtils.getHTTPRequestParameter(req, ParameterConstants.EXPORT_PDF_EMBED);
        boolean embed = "true".equals(embedParameter);
        ExportService.dealWithExport(req, res, sessionID, embed);
    }

    @Override
    public String getCMD() {
        return "excel";
    }
}
